# DO NOT MODIFY THIS FILE DIRECTLY (IN PACKAGE)
# ALWAYS USE CVS

Summary:	Menu method for XDG Desktop Menu Specification
Name:		menu-xdg
Version:	0.9
Release:	4mdk
URL:		http://www.mandrivalinux.com/

# get the source from our cvs repository (see
# http://www.mandrivalinux.com/en/cvs.php3)
# no extra source or patch are allowed here.

Source0:	%{name}-%{version}.tar.bz2

BuildArch:	noarch

License:	GPL
Group:		System/Base
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	desktop-file-utils
Conflicts:	kdebase-common < 1:3.3.2

%description
This package contains menu method for generating menus following 
XDG Desktop Menu specification.

%prep

%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std


mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/menu-xdg/{applications,desktop-directories,simplified/applications,simplified/desktop-directories,menus}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%{_localstatedir}/menu-xdg
%config(noreplace) %{_sysconfdir}/menu-methods/xdg*
%config(noreplace) %{_sysconfdir}/menu-methods/simplified/*
%config(noreplace) %{_sysconfdir}/profile.d/*
%config(noreplace) %{_sysconfdir}/menu-methods/menu-attribute

%_bindir/*.pl

%changelog
* Thu Sep 01 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9-4mdk 
- Don't create symlink for applications.menu when mdk customizations
  are disabled (Mdk bug #17765)
- Don't save/restore mimetype for system menu

* Tue Aug 23 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9-3mdk 
- Fix .directory name escaping (found by Lenny)

* Tue Aug 23 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9-2mdk 
- Fix cleaning rules in .directory generation (found by Lenny)

* Tue Aug 23 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9-1mdk 
- Handle correctly when accept_url is set but not multiple_files

* Wed Jun 15 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8-2mdk
- Fix missing kde_mimetype (I don't understand why it removed)

* Fri May 20 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8-1mdk 
- Release 0.8 :
  - fix DTD address and make sure menus files are valid
  - fix .directory files naming when section is not pure ASCII

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 0.7-2mdk 
- Fix wrong copy/paste and don't append path multiple times

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 0.7-1mdk 
- Release 0.7 :
 - create symlinks for applications.menu and applications-merged for
   better compatibility

* Thu Mar 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-19mdk
- Change recentURL to local url in kickerrc when we update-menu as user

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-18mdk 
- Fix include in main menu

* Wed Mar 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-17mdk 
- Don't use .desktop to specify order

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-16mdk
- Oops other typo

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-15mdk
- Fix typo 

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-14mdk
- Add mergemenu and mergefile when menu file doesn't have theses entrys (as in mdk 10.1)

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-13mdk
- Allow to disable sort into menu (add a file "nosorted" into /etc/menu-methods)

* Thu Mar 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-12mdk
- Move layout menu attribute to specific file "menu-attribute"

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-11mdk
- Apply patch from  Thierry Vignaud <tvignaud@mandrakesoft.com> (thanks)
	- reuse factorized paths
	- create directories if missing
	- fix warmless error message

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-10mdk 
- Really fix conflicts this time 

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-9mdk 
- Fix conflicts

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-8mdk 
- Conflicts with old KDE version to allow easy upgrade

* Wed Mar 09 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-7mdk
- Spec said "Inline header by default" we don't want it => remove it

* Tue Mar 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-6mdk
- Remove "inline_alias"

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-5mdk
- Allow to compress menu when we have just one entry

* Wed Mar 02 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-4mdk
- Support for exclude file

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-3mdk
- Fix order for menu merge and filemerge (add _mergemenu_ _mergefile_)

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Now we can specify filename in sort list

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- Now we can generate separator entry into menu (Add '_separator_' into order line)

* Wed Feb 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk 
- change location of .desktop/.directory files for simplified menu 
  (prevent double entries for mime types)
- Call update-desktop-database after generating .desktop files
- Create NoDisplay entry for .hidden directory

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-4mdk
- Apply patch from Thierry Vignaud:
	- fix a bug in savekdemimetypes.pl
	- make scripts perl_checker compliant
	- reuse MDK::Common

* Sat Jan 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-3mdk
- Clean script

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-2mdk
- Add script to save/remove/re-add mimetype (associate file) need to patch kdelibs to save mimetype in good place

* Fri Jan 28 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk 
- Fix search for local xdg file to fix associate file (laurent)
- Only set layout when needed

* Wed Jan 26 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-2mdk 
- Fix to be zsh compliant (Mdk bug #13204)

* Tue Jan 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk 
- Don't add default merge dir for each menu folder
- Dont append system directory multiple time to XDG_CONFIG_DIRS

* Thu Dec 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk 
- Change the way desktop files are named and stored (fix apps startup for KDE)

* Wed Dec 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-2mdk 
- Fix startup script to not set XDG_CONFIG_DIRS if mdk customizations are
  disabled

* Mon Dec 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk 
- Initial package (partially based on Debian XDG menu method)

